This endpoint will update an existing or create a new coach-to-driver assignment for your organization based on the parameters passed in. This endpoint should only be used for existing Coach to Driver assignments. In order to remove a driver-coach-assignment for a given driver, set coachId to null
Rate limit: 10 requests/sec (learn more about rate limits here).
To use this endpoint, select Write Coaching under the Coaching category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PUT \
--url https://api.samsara.com/coaching/driver-coach-assignments \
--header 'Authorization: Bearer <token>'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"driverId": "45646",
"updatedAtTime": "2019-06-13T19:08:25Z",
"coachId": "45646"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required string ID of the driver. This is a unique Samsara ID of a driver.
Optional string ID of the coach. This is a unique Samsara user ID. If not provided, existing coach assignment will be removed.
OK response.
Driver coach assignment object.
Show child attributes
curl --request PUT \
--url https://api.samsara.com/coaching/driver-coach-assignments \
--header 'Authorization: Bearer <token>'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"driverId": "45646",
"updatedAtTime": "2019-06-13T19:08:25Z",
"coachId": "45646"
}
}